## Name

ifconfig

## Synopsis

```sh
$ ifconfig [--ipv4 ip] [--adapter adapter] [--gateway gateway] [--mask mask]
```

## Description

Display or modify the configuration of each network interface.

## Options:

* `--help`: Display help message and exit
* `--version`: Print version
* `-i ip`, `--ipv4 ip`: Set the IP address of the selected network
* `-a adapter`, `--adapter adapter`: Select a specific network adapter to configure
* `-g gateway`, `--gateway gateway`: Set the default gateway of the selected network
* `-m mask`, `--mask mask`: Set the network mask of the selected network

<!-- Auto-generated through ArgsParser -->
